Subject: Re: [PATCH] Reintegrate: send "Huh?" warnings to stderr, not stdout

From: Erik Cervin Edin <[email-masked]>
Date: Mon, 4 May 2026 12:03:36 +0200

On 26/04/29 02:05AM, Tian Yuchen wrote:
> It would be better for me if this sentence (i.e., what was the code
> originally *intended* to do before the patch?) were placed right at the
> beginning. Something similar to:
> 
> 	In show_merge(), the warning "Huh?: $msg" is emitted to stdout because it
> uses the erroneous redirect `echo 2>&1`. The intent was clearly to use `>&2`
> to print to stderr...
> 
> Of course, it’s up to you ;)

Good point! I hoisted the intent up to the opening paragraph; took the
spirit of your wording rather than copying it verbatim, and tightened
the rest while I was at it.